Subject: Re: [PATCH] partial-clone: add a partial-clone test case

From: Derrick Stolee <[email-masked]>
Date: Mon, 14 Mar 2022 12:25:41 -0400

On 3/14/2022 11:46 AM, Abhradeep Chakraborty wrote:
> Junio C Hamano <[email-masked]> wrote:
>> Why can't you specify what should NOT come before "fetch" in your
>> use of this helper?
> 
> Below is the event triggered for non-exact OID rename -
> 
> 	git -c fetch.negotiationAlgorithm=noop fetch origin --no-tags --no-write-fetch-head --recurse-submodules=no --filter=blob:none --stdin
> 
> Derrick told me to not depend on other flags like
> `-c fetch.negotiationAlgorithm` etc. as they might be changed or omitted
> and as it makes sense to me also. That's why I didn't specify those things.

This reason is something that could be mentioned in the commit message
to motivate the change to the helper.

>> I wonder if it was more like this that the original wanted to grep for:
>>
>> 	grep '"event":"child_start".*\["git","pack-objects",.*\]'
> 
> I don't know about other cases, but in my case, atleast I really wanted
> it.
> 
> So, In this scenerio, should I stick with `test_subcommand_inexact` or I
> have to see other helper functions (or make my own) for it?

As I mentioned earlier, it seems that

	test_subcommand_inexact ! git fetch

would actually work for your needs without changing the helper. We will see
whether or not the helper needs to be updated in a way that that line would
not work anymore.

Thanks,
-Stolee